Skip to main content
GET
Get Driver

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Application-Id
string

Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.

Connection-Token
string
required

The token returned when a user authenticated their account. This authorizes access to a specific account.

Pattern: ^con_tkn_\S+$
Example:

"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"

Path Parameters

id
string<ulid>
required

Unique identifier for the driver in Terminal.

Pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
Example:

"drv_01D8ZQFGHVJ858NBF2Q7DV9MNC"

Query Parameters

raw
boolean

Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.

expand
enum<string>

Expand resources in the returned response

Available options:
groups

Response

OK

id
string<ulid>
required

Unique identifier for the driver in Terminal.

Pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
Example:

"drv_01D8ZQFGHVJ858NBF2Q7DV9MNC"

sourceId
string
required

The ID used to represent the entity in the source system.

Example:

"123456789"

provider
string
required

Every provider has a unique code to identify it across Terminal's system. You can find each provider's code under provider details.

Example:

"geotab"

status
enum<string>
required

The status in the providers system

Available options:
active,
inactive
Example:

"active"

metadata
CoreEntityMetadata · object
required

Internal metadata about the record.

firstName
string
Example:

"Mike"

middleName
string
Example:

"Bryan"

lastName
string
Example:

"Miller"

email
string<email>
Example:

"driver@example.com"

phone
string

Phone number formatted in E.164 formatting

Pattern: ^\+?\d{10,14}$
Example:

"+19058084567"

username
string

The driver's username for login purposes

Example:

"driver123"

license
object
groups
(string<ulid> | Expanded Group · object)[]

Entities in Terminal are expandable. Using the expand query parameter you can choose to ingest just an ID or the full entity details.

Example:

"group_01D8ZQFGHVJ858NBF2Q7DV9MNC"

createdAt
string<date-time>

The date and time the record was created in the provider's system. This timestamp comes directly from the source system and represents when the data was originally created there. Note: not all providers expose this.

updatedAt
string<date-time>

The date and time the record was updated in the provider's system. This timestamp comes directly from the source system and represents when the data was last updated there. Note: not all providers expose this.

raw
RawData · object[]
Example: